#include "boostmath-exports.h"
#include "scc-core.h"
#include "../system/supervisorinterface.h"
# line 4 "../../../../Macaulay2/d/boostmath.dd"
#include <iostream>
  #include <boost/math/special_functions/beta.hpp>
  #include <boost/math/special_functions/erf.hpp>
  #include <boost/math/special_functions/gamma.hpp>

  #define BOOST_MATH_CALL(f, ...)       \
  try {                                 \
    return boost::math::f(__VA_ARGS__); \
  } catch (const std::exception& e) {   \
    std::cout << e.what() << std::endl; \
    return NAN;                         \
  }
static M2_string str_;
# line 18 "../../../../Macaulay2/d/boostmath.dd"
static parse_Expr handleBoostError(double x){
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp_;
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  if (stdio_isnan(x)) goto L0_;
  # line 19 "../../../../Macaulay2/d/boostmath.dd"
  tmp_ = util_toExpr_10(x);
  # line 19 "../../../../Macaulay2/d/boostmath.dd"
  goto L1_;
  # line 19 "../../../../Macaulay2/d/boostmath.dd"
  L0_:;
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  tmp_ = expr_buildErrorPacket(str_);
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  L1_:;
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  return tmp_;
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 23 "../../../../Macaulay2/d/boostmath.dd"
static double inverseErf(double p){
  # line 23 "../../../../Macaulay2/d/boostmath.dd"
  BOOST_MATH_CALL(erf_inv, p);
  # line 23 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 25 "../../../../Macaulay2/d/boostmath.dd"
static parse_Expr inverseErf_1(parse_Expr e){
  # line 25 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell p_1;
  # line 25 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__1;
  # line 25 "../../../../Macaulay2/d/boostmath.dd"
  switch (e->type_) {;
    # line 25 "../../../../Macaulay2/d/boostmath.dd"
    case 52:;
    # line 25 "../../../../Macaulay2/d/boostmath.dd"
    p_1 = ((gmp_RRcell)e);
    # line 25 "../../../../Macaulay2/d/boostmath.dd"
    tmp__1 = handleBoostError(inverseErf(gmp_toDouble_5(p_1)));
    # line 25 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 25 "../../../../Macaulay2/d/boostmath.dd"
    default:;
    # line 26 "../../../../Macaulay2/d/boostmath.dd"
    tmp__1 = expr_WrongArgRR();
    # line 26 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 26 "../../../../Macaulay2/d/boostmath.dd"
    };
  # line 26 "../../../../Macaulay2/d/boostmath.dd"
  return tmp__1;
  # line 26 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 26 "../../../../Macaulay2/d/boostmath.dd"
static M2_string str__1;
# line 31 "../../../../Macaulay2/d/boostmath.dd"
static double regularizedGamma(double a,double z){
  # line 31 "../../../../Macaulay2/d/boostmath.dd"
  BOOST_MATH_CALL(gamma_q, a, z);
  # line 31 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 33 "../../../../Macaulay2/d/boostmath.dd"
static parse_Expr regularizedGamma_1(parse_Expr e){
  # line 33 "../../../../Macaulay2/d/boostmath.dd"
  parse_Sequence s;
  # line 33 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell a_1;
  # line 33 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell z_1;
  # line 33 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__2;
  # line 33 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__3;
  # line 33 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__4;
  # line 33 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__5;
  # line 33 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__6;
  # line 33 "../../../../Macaulay2/d/boostmath.dd"
  switch (e->type_) {;
    # line 33 "../../../../Macaulay2/d/boostmath.dd"
    case 7:;
    # line 33 "../../../../Macaulay2/d/boostmath.dd"
    s = ((parse_Sequence)e);
    # line 34 "../../../../Macaulay2/d/boostmath.dd"
    tmp__2 = s->array[0];
    # line 34 "../../../../Macaulay2/d/boostmath.dd"
    switch (tmp__2->type_) {;
      # line 34 "../../../../Macaulay2/d/boostmath.dd"
      case 52:;
      # line 34 "../../../../Macaulay2/d/boostmath.dd"
      a_1 = ((gmp_RRcell)tmp__2);
      # line 35 "../../../../Macaulay2/d/boostmath.dd"
      tmp__3 = s->array[1];
      # line 35 "../../../../Macaulay2/d/boostmath.dd"
      switch (tmp__3->type_) {;
	# line 35 "../../../../Macaulay2/d/boostmath.dd"
	case 52:;
	# line 35 "../../../../Macaulay2/d/boostmath.dd"
	z_1 = ((gmp_RRcell)tmp__3);
	# line 36 "../../../../Macaulay2/d/boostmath.dd"
	tmp__4 = handleBoostError(regularizedGamma(gmp_toDouble_5(a_1), gmp_toDouble_5(z_1)));
	# line 37 "../../../../Macaulay2/d/boostmath.dd"
	break;
	# line 37 "../../../../Macaulay2/d/boostmath.dd"
	default:;
	# line 38 "../../../../Macaulay2/d/boostmath.dd"
	tmp__4 = expr_WrongArgRR_1(2);
	# line 38 "../../../../Macaulay2/d/boostmath.dd"
	break;
	# line 38 "../../../../Macaulay2/d/boostmath.dd"
	};
      # line 38 "../../../../Macaulay2/d/boostmath.dd"
      tmp__5 = tmp__4;
      # line 38 "../../../../Macaulay2/d/boostmath.dd"
      break;
      # line 38 "../../../../Macaulay2/d/boostmath.dd"
      default:;
      # line 39 "../../../../Macaulay2/d/boostmath.dd"
      tmp__5 = expr_WrongArgRR_1(1);
      # line 39 "../../../../Macaulay2/d/boostmath.dd"
      break;
      # line 39 "../../../../Macaulay2/d/boostmath.dd"
      };
    # line 39 "../../../../Macaulay2/d/boostmath.dd"
    tmp__6 = tmp__5;
    # line 39 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 39 "../../../../Macaulay2/d/boostmath.dd"
    default:;
    # line 40 "../../../../Macaulay2/d/boostmath.dd"
    tmp__6 = expr_WrongNumArgs_1(2);
    # line 40 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 40 "../../../../Macaulay2/d/boostmath.dd"
    };
  # line 40 "../../../../Macaulay2/d/boostmath.dd"
  return tmp__6;
  # line 40 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 40 "../../../../Macaulay2/d/boostmath.dd"
static M2_string str__2;
# line 45 "../../../../Macaulay2/d/boostmath.dd"
static double inverseRegularizedGamma(double a,double q){
  # line 45 "../../../../Macaulay2/d/boostmath.dd"
  BOOST_MATH_CALL(gamma_q_inv, a, q);
  # line 45 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 47 "../../../../Macaulay2/d/boostmath.dd"
static parse_Expr inverseRegularizedGamma_1(parse_Expr e){
  # line 47 "../../../../Macaulay2/d/boostmath.dd"
  parse_Sequence s_1;
  # line 47 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell a_2;
  # line 47 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell q_1;
  # line 47 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__7;
  # line 47 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__8;
  # line 47 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__9;
  # line 47 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__10;
  # line 47 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__11;
  # line 47 "../../../../Macaulay2/d/boostmath.dd"
  switch (e->type_) {;
    # line 47 "../../../../Macaulay2/d/boostmath.dd"
    case 7:;
    # line 47 "../../../../Macaulay2/d/boostmath.dd"
    s_1 = ((parse_Sequence)e);
    # line 48 "../../../../Macaulay2/d/boostmath.dd"
    tmp__7 = s_1->array[0];
    # line 48 "../../../../Macaulay2/d/boostmath.dd"
    switch (tmp__7->type_) {;
      # line 48 "../../../../Macaulay2/d/boostmath.dd"
      case 52:;
      # line 48 "../../../../Macaulay2/d/boostmath.dd"
      a_2 = ((gmp_RRcell)tmp__7);
      # line 49 "../../../../Macaulay2/d/boostmath.dd"
      tmp__8 = s_1->array[1];
      # line 49 "../../../../Macaulay2/d/boostmath.dd"
      switch (tmp__8->type_) {;
	# line 49 "../../../../Macaulay2/d/boostmath.dd"
	case 52:;
	# line 49 "../../../../Macaulay2/d/boostmath.dd"
	q_1 = ((gmp_RRcell)tmp__8);
	# line 50 "../../../../Macaulay2/d/boostmath.dd"
	tmp__9 = handleBoostError(inverseRegularizedGamma(gmp_toDouble_5(a_2), gmp_toDouble_5(q_1)));
	# line 51 "../../../../Macaulay2/d/boostmath.dd"
	break;
	# line 51 "../../../../Macaulay2/d/boostmath.dd"
	default:;
	# line 52 "../../../../Macaulay2/d/boostmath.dd"
	tmp__9 = expr_WrongArgRR_1(2);
	# line 52 "../../../../Macaulay2/d/boostmath.dd"
	break;
	# line 52 "../../../../Macaulay2/d/boostmath.dd"
	};
      # line 52 "../../../../Macaulay2/d/boostmath.dd"
      tmp__10 = tmp__9;
      # line 52 "../../../../Macaulay2/d/boostmath.dd"
      break;
      # line 52 "../../../../Macaulay2/d/boostmath.dd"
      default:;
      # line 53 "../../../../Macaulay2/d/boostmath.dd"
      tmp__10 = expr_WrongArgRR_1(1);
      # line 53 "../../../../Macaulay2/d/boostmath.dd"
      break;
      # line 53 "../../../../Macaulay2/d/boostmath.dd"
      };
    # line 53 "../../../../Macaulay2/d/boostmath.dd"
    tmp__11 = tmp__10;
    # line 53 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 53 "../../../../Macaulay2/d/boostmath.dd"
    default:;
    # line 54 "../../../../Macaulay2/d/boostmath.dd"
    tmp__11 = expr_WrongNumArgs_1(2);
    # line 54 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 54 "../../../../Macaulay2/d/boostmath.dd"
    };
  # line 54 "../../../../Macaulay2/d/boostmath.dd"
  return tmp__11;
  # line 54 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 54 "../../../../Macaulay2/d/boostmath.dd"
static M2_string str__3;
# line 59 "../../../../Macaulay2/d/boostmath.dd"
static double regularizedBeta(double x,double a,double b){
  # line 59 "../../../../Macaulay2/d/boostmath.dd"
  BOOST_MATH_CALL(ibeta, a, b, x);
  # line 59 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 61 "../../../../Macaulay2/d/boostmath.dd"
static parse_Expr regularizedBeta_1(parse_Expr e){
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  parse_Sequence s_2;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell x_1;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell a_3;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell b_1;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__12;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__13;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__14;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__15;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__16;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__17;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__18;
  # line 61 "../../../../Macaulay2/d/boostmath.dd"
  switch (e->type_) {;
    # line 61 "../../../../Macaulay2/d/boostmath.dd"
    case 7:;
    # line 61 "../../../../Macaulay2/d/boostmath.dd"
    s_2 = ((parse_Sequence)e);
    # line 62 "../../../../Macaulay2/d/boostmath.dd"
    tmp__12 = s_2->array[0];
    # line 62 "../../../../Macaulay2/d/boostmath.dd"
    switch (tmp__12->type_) {;
      # line 62 "../../../../Macaulay2/d/boostmath.dd"
      case 52:;
      # line 62 "../../../../Macaulay2/d/boostmath.dd"
      x_1 = ((gmp_RRcell)tmp__12);
      # line 63 "../../../../Macaulay2/d/boostmath.dd"
      tmp__13 = s_2->array[1];
      # line 63 "../../../../Macaulay2/d/boostmath.dd"
      switch (tmp__13->type_) {;
	# line 63 "../../../../Macaulay2/d/boostmath.dd"
	case 52:;
	# line 63 "../../../../Macaulay2/d/boostmath.dd"
	a_3 = ((gmp_RRcell)tmp__13);
	# line 64 "../../../../Macaulay2/d/boostmath.dd"
	tmp__14 = s_2->array[2];
	# line 64 "../../../../Macaulay2/d/boostmath.dd"
	switch (tmp__14->type_) {;
	  # line 64 "../../../../Macaulay2/d/boostmath.dd"
	  case 52:;
	  # line 64 "../../../../Macaulay2/d/boostmath.dd"
	  b_1 = ((gmp_RRcell)tmp__14);
	  # line 65 "../../../../Macaulay2/d/boostmath.dd"
	  tmp__15 = handleBoostError(regularizedBeta(gmp_toDouble_5(x_1), gmp_toDouble_5(a_3), gmp_toDouble_5(b_1)));
	  # line 66 "../../../../Macaulay2/d/boostmath.dd"
	  break;
	  # line 66 "../../../../Macaulay2/d/boostmath.dd"
	  default:;
	  # line 67 "../../../../Macaulay2/d/boostmath.dd"
	  tmp__15 = expr_WrongArgRR_1(3);
	  # line 67 "../../../../Macaulay2/d/boostmath.dd"
	  break;
	  # line 67 "../../../../Macaulay2/d/boostmath.dd"
	  };
	# line 67 "../../../../Macaulay2/d/boostmath.dd"
	tmp__16 = tmp__15;
	# line 67 "../../../../Macaulay2/d/boostmath.dd"
	break;
	# line 67 "../../../../Macaulay2/d/boostmath.dd"
	default:;
	# line 68 "../../../../Macaulay2/d/boostmath.dd"
	tmp__16 = expr_WrongArgRR_1(2);
	# line 68 "../../../../Macaulay2/d/boostmath.dd"
	break;
	# line 68 "../../../../Macaulay2/d/boostmath.dd"
	};
      # line 68 "../../../../Macaulay2/d/boostmath.dd"
      tmp__17 = tmp__16;
      # line 68 "../../../../Macaulay2/d/boostmath.dd"
      break;
      # line 68 "../../../../Macaulay2/d/boostmath.dd"
      default:;
      # line 69 "../../../../Macaulay2/d/boostmath.dd"
      tmp__17 = expr_WrongArgRR_1(1);
      # line 69 "../../../../Macaulay2/d/boostmath.dd"
      break;
      # line 69 "../../../../Macaulay2/d/boostmath.dd"
      };
    # line 69 "../../../../Macaulay2/d/boostmath.dd"
    tmp__18 = tmp__17;
    # line 69 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 69 "../../../../Macaulay2/d/boostmath.dd"
    default:;
    # line 70 "../../../../Macaulay2/d/boostmath.dd"
    tmp__18 = expr_WrongNumArgs_1(3);
    # line 70 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 70 "../../../../Macaulay2/d/boostmath.dd"
    };
  # line 70 "../../../../Macaulay2/d/boostmath.dd"
  return tmp__18;
  # line 70 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 70 "../../../../Macaulay2/d/boostmath.dd"
static M2_string str__4;
# line 75 "../../../../Macaulay2/d/boostmath.dd"
static double inverseRegularizedBeta(double p,double a,double b){
  # line 75 "../../../../Macaulay2/d/boostmath.dd"
  BOOST_MATH_CALL(ibeta_inv, a, b, p);
  # line 75 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 77 "../../../../Macaulay2/d/boostmath.dd"
static parse_Expr inverseRegularizedBeta_1(parse_Expr e){
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  parse_Sequence s_3;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell p_2;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell a_4;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  gmp_RRcell b_2;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__19;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__20;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__21;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__22;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__23;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__24;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  parse_Expr tmp__25;
  # line 77 "../../../../Macaulay2/d/boostmath.dd"
  switch (e->type_) {;
    # line 77 "../../../../Macaulay2/d/boostmath.dd"
    case 7:;
    # line 77 "../../../../Macaulay2/d/boostmath.dd"
    s_3 = ((parse_Sequence)e);
    # line 78 "../../../../Macaulay2/d/boostmath.dd"
    tmp__19 = s_3->array[0];
    # line 78 "../../../../Macaulay2/d/boostmath.dd"
    switch (tmp__19->type_) {;
      # line 78 "../../../../Macaulay2/d/boostmath.dd"
      case 52:;
      # line 78 "../../../../Macaulay2/d/boostmath.dd"
      p_2 = ((gmp_RRcell)tmp__19);
      # line 79 "../../../../Macaulay2/d/boostmath.dd"
      tmp__20 = s_3->array[1];
      # line 79 "../../../../Macaulay2/d/boostmath.dd"
      switch (tmp__20->type_) {;
	# line 79 "../../../../Macaulay2/d/boostmath.dd"
	case 52:;
	# line 79 "../../../../Macaulay2/d/boostmath.dd"
	a_4 = ((gmp_RRcell)tmp__20);
	# line 80 "../../../../Macaulay2/d/boostmath.dd"
	tmp__21 = s_3->array[2];
	# line 80 "../../../../Macaulay2/d/boostmath.dd"
	switch (tmp__21->type_) {;
	  # line 80 "../../../../Macaulay2/d/boostmath.dd"
	  case 52:;
	  # line 80 "../../../../Macaulay2/d/boostmath.dd"
	  b_2 = ((gmp_RRcell)tmp__21);
	  # line 81 "../../../../Macaulay2/d/boostmath.dd"
	  tmp__22 = handleBoostError(inverseRegularizedBeta(gmp_toDouble_5(p_2), gmp_toDouble_5(a_4), gmp_toDouble_5(b_2)));
	  # line 82 "../../../../Macaulay2/d/boostmath.dd"
	  break;
	  # line 82 "../../../../Macaulay2/d/boostmath.dd"
	  default:;
	  # line 83 "../../../../Macaulay2/d/boostmath.dd"
	  tmp__22 = expr_WrongArgRR_1(3);
	  # line 83 "../../../../Macaulay2/d/boostmath.dd"
	  break;
	  # line 83 "../../../../Macaulay2/d/boostmath.dd"
	  };
	# line 83 "../../../../Macaulay2/d/boostmath.dd"
	tmp__23 = tmp__22;
	# line 83 "../../../../Macaulay2/d/boostmath.dd"
	break;
	# line 83 "../../../../Macaulay2/d/boostmath.dd"
	default:;
	# line 84 "../../../../Macaulay2/d/boostmath.dd"
	tmp__23 = expr_WrongArgRR_1(2);
	# line 84 "../../../../Macaulay2/d/boostmath.dd"
	break;
	# line 84 "../../../../Macaulay2/d/boostmath.dd"
	};
      # line 84 "../../../../Macaulay2/d/boostmath.dd"
      tmp__24 = tmp__23;
      # line 84 "../../../../Macaulay2/d/boostmath.dd"
      break;
      # line 84 "../../../../Macaulay2/d/boostmath.dd"
      default:;
      # line 85 "../../../../Macaulay2/d/boostmath.dd"
      tmp__24 = expr_WrongArgRR_1(1);
      # line 85 "../../../../Macaulay2/d/boostmath.dd"
      break;
      # line 85 "../../../../Macaulay2/d/boostmath.dd"
      };
    # line 85 "../../../../Macaulay2/d/boostmath.dd"
    tmp__25 = tmp__24;
    # line 85 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 85 "../../../../Macaulay2/d/boostmath.dd"
    default:;
    # line 86 "../../../../Macaulay2/d/boostmath.dd"
    tmp__25 = expr_WrongNumArgs_1(3);
    # line 86 "../../../../Macaulay2/d/boostmath.dd"
    break;
    # line 86 "../../../../Macaulay2/d/boostmath.dd"
    };
  # line 86 "../../../../Macaulay2/d/boostmath.dd"
  return tmp__25;
  # line 86 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 86 "../../../../Macaulay2/d/boostmath.dd"
static M2_string str__5;
# line 86 "../../../../Macaulay2/d/boostmath.dd"
static void boostmath__thread_prepare();
# line 86 "../../../../Macaulay2/d/boostmath.dd"
static void boostmath__final();
# line 18 "../../../../Macaulay2/d/boostmath.dd"
void boostmath__prepare(){
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  static struct FUNCTION_CELL this_final, this_thread_prepare;
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  static int called_yet = 0;
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  if (called_yet) return; else called_yet = 1;
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  str_ = (M2_string) GC_MALLOC_ATOMIC(sizeof(struct M2_string_struct) + (24)*sizeof(signed char)-sizeof(signed char));
  if (0 == str_) outofmem2((size_t)sizeof(struct M2_string_struct) + (24)*sizeof(signed char)-sizeof(signed char));
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  str_->len = 24;
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  memcpy(str_->array, "Boost Math Toolkit error", 24);
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  str__1 = (M2_string) GC_MALLOC_ATOMIC(sizeof(struct M2_string_struct) + (10)*sizeof(signed char)-sizeof(signed char));
  if (0 == str__1) outofmem2((size_t)sizeof(struct M2_string_struct) + (10)*sizeof(signed char)-sizeof(signed char));
  # line 18 "../../../../Macaulay2/d/boostmath.dd"
  str__1->len = 10;
  # line 27 "../../../../Macaulay2/d/boostmath.dd"
  memcpy(str__1->array, "inverseErf", 10);
  # line 27 "../../../../Macaulay2/d/boostmath.dd"
  str__2 = (M2_string) GC_MALLOC_ATOMIC(sizeof(struct M2_string_struct) + (16)*sizeof(signed char)-sizeof(signed char));
  if (0 == str__2) outofmem2((size_t)sizeof(struct M2_string_struct) + (16)*sizeof(signed char)-sizeof(signed char));
  # line 27 "../../../../Macaulay2/d/boostmath.dd"
  str__2->len = 16;
  # line 41 "../../../../Macaulay2/d/boostmath.dd"
  memcpy(str__2->array, "regularizedGamma", 16);
  # line 41 "../../../../Macaulay2/d/boostmath.dd"
  str__3 = (M2_string) GC_MALLOC_ATOMIC(sizeof(struct M2_string_struct) + (23)*sizeof(signed char)-sizeof(signed char));
  if (0 == str__3) outofmem2((size_t)sizeof(struct M2_string_struct) + (23)*sizeof(signed char)-sizeof(signed char));
  # line 41 "../../../../Macaulay2/d/boostmath.dd"
  str__3->len = 23;
  # line 55 "../../../../Macaulay2/d/boostmath.dd"
  memcpy(str__3->array, "inverseRegularizedGamma", 23);
  # line 55 "../../../../Macaulay2/d/boostmath.dd"
  str__4 = (M2_string) GC_MALLOC_ATOMIC(sizeof(struct M2_string_struct) + (15)*sizeof(signed char)-sizeof(signed char));
  if (0 == str__4) outofmem2((size_t)sizeof(struct M2_string_struct) + (15)*sizeof(signed char)-sizeof(signed char));
  # line 55 "../../../../Macaulay2/d/boostmath.dd"
  str__4->len = 15;
  # line 71 "../../../../Macaulay2/d/boostmath.dd"
  memcpy(str__4->array, "regularizedBeta", 15);
  # line 71 "../../../../Macaulay2/d/boostmath.dd"
  str__5 = (M2_string) GC_MALLOC_ATOMIC(sizeof(struct M2_string_struct) + (22)*sizeof(signed char)-sizeof(signed char));
  if (0 == str__5) outofmem2((size_t)sizeof(struct M2_string_struct) + (22)*sizeof(signed char)-sizeof(signed char));
  # line 71 "../../../../Macaulay2/d/boostmath.dd"
  str__5->len = 22;
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  memcpy(str__5->array, "inverseRegularizedBeta", 22);
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  util__prepare();
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  common__prepare();
  # line 27 "../../../../Macaulay2/d/boostmath.dd"
  common_setupfun_1(str__1, inverseErf_1)->Protected = 0;
  # line 41 "../../../../Macaulay2/d/boostmath.dd"
  common_setupfun_1(str__2, regularizedGamma_1)->Protected = 0;
  # line 55 "../../../../Macaulay2/d/boostmath.dd"
  common_setupfun_1(str__3, inverseRegularizedGamma_1)->Protected = 0;
  # line 71 "../../../../Macaulay2/d/boostmath.dd"
  common_setupfun_1(str__4, regularizedBeta_1)->Protected = 0;
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  common_setupfun_1(str__5, inverseRegularizedBeta_1)->Protected = 0;
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  this_thread_prepare.func = boostmath__thread_prepare;
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  this_thread_prepare.next = thread_prepare_list;
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  thread_prepare_list = &this_thread_prepare;
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  this_final.func = boostmath__final;
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  this_final.next = final_list;
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  final_list = &this_final;
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 87 "../../../../Macaulay2/d/boostmath.dd"
static void boostmath__thread_prepare(){
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  }
# line 87 "../../../../Macaulay2/d/boostmath.dd"
static void boostmath__final(){
  # line 87 "../../../../Macaulay2/d/boostmath.dd"
  }
